Package org.bukkit.event.entity

# Enum Class EntityUnleashEvent.UnleashReason

java.lang.Object
java.lang.Enum<EntityUnleashEvent.UnleashReason>
org.bukkit.event.entity.EntityUnleashEvent.UnleashReason

All Implemented Interfaces:
  `Serializable`, `Comparable<EntityUnleashEvent.UnleashReason>`, `Constable`

Enclosing class:
  EntityUnleashEvent

public static enum EntityUnleashEvent.UnleashReason extends Enum<EntityUnleashEvent.UnleashReason>

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`DISTANCE`
When the entity's leashholder is more than 10 blocks away
`HOLDER_GONE`
When the entity's leashholder has died or logged out, and so is unleashed
`PLAYER_UNLEASH`
When the entity's leashholder attempts to unleash it
`UNKNOWN`

## Method Summary

Modifier and Type
Method
Description
`static EntityUnleashEvent.UnleashReason`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static EntityUnleashEvent.UnleashReason[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### HOLDER_GONE

public static final EntityUnleashEvent.UnleashReason HOLDER_GONE
When the entity's leashholder has died or logged out, and so is unleashed

### PLAYER_UNLEASH

public static final EntityUnleashEvent.UnleashReason PLAYER_UNLEASH
When the entity's leashholder attempts to unleash it

### DISTANCE

public static final EntityUnleashEvent.UnleashReason DISTANCE
When the entity's leashholder is more than 10 blocks away

### UNKNOWN

public static final EntityUnleashEvent.UnleashReason UNKNOWN

## Method Details

### values

public static EntityUnleashEvent.UnleashReason[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static EntityUnleashEvent.UnleashReason valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null